Bug 450685 - Review Request: R-DBI - Database Interface for R
Review Request: R-DBI - Database Interface for R
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 450686
  Show dependency treegraph
 
Reported: 2008-06-10 09:14 EDT by Nigel Jones
Modified: 2008-06-27 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 15:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-06-10 09:14:02 EDT
Spec URL: http://dev.nigelj.com/SRPMS/R-DBI.spec
SRPM URL: http://dev.nigelj.com/SRPMS/R-DBI-0.2-1.fc9.src.rpm

A plain ol' database interface for R, required by R-SQLite & other database variants.
Comment 1 Jason Tibbitts 2008-06-11 22:21:07 EDT
Builds fine; rpmlint has the expected R complaints plus this:
  E: zero-length /usr/share/R/library/DBI/doc/DBI.R
Honestly I'm not sure what this is for or even where it comes from.  Perhaps an
R expert can tell us what's up, but I don't think this is a significant issue.

I would recommend using http://cran.r-project.org/web/packages/DBI/index.html
for the upstream URL; it's a bit better than an index page full of unrelated
directories and tarballs.

The description could use a little attention.  I'd recommend stealing something
like the following from upstream:
  A database interface (DBI) definition for communication between R and
  relational database management systems. 

* source files match upstream:
   91a5e5492e1731c122e43581db9d3c486b189b7d6aa79a9d0c5ccaa42b839751  
   DBI_0.2-4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description could use a bit of fleshing out.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   R-DBI = 0.2-1.fc10
  =
   /bin/sh
   R

* %check is present and all tests pass
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is most of the package, but the package is small so there's no 
   point in splitting it.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Nigel Jones 2008-06-21 20:24:28 EDT
(In reply to comment #1)
> Builds fine; rpmlint has the expected R complaints plus this:
>   E: zero-length /usr/share/R/library/DBI/doc/DBI.R
> Honestly I'm not sure what this is for or even where it comes from.  Perhaps an
> R expert can tell us what's up, but I don't think this is a significant issue.
Safe to ignore I think.

> I would recommend using http://cran.r-project.org/web/packages/DBI/index.html
> for the upstream URL; it's a bit better than an index page full of unrelated
> directories and tarballs.
Yeah, I followed the example from the wiki, I've changed this though.

> The description could use a little attention.  I'd recommend stealing something
> like the following from upstream:
>   A database interface (DBI) definition for communication between R and
>   relational database management systems. 
Done

SRPM: http://dev.nigelj.com/SRPMS/R-DBI-0.2-2.fc9.src.rpm
SPEC: http://dev.nigelj.com/SRPMS/R-DBI.spec
Comment 3 Jason Tibbitts 2008-06-21 21:34:11 EDT
OK, everything looks good to me.  Unfortunately R upstreams aren't quite as
organized as, say, Perl's CPAN so sometimes the URL in the example spec on the
wiki gets you somewhere and sometimes it doesn't.

Anyway, APPROVED
Comment 4 Nigel Jones 2008-06-21 23:49:11 EDT
(In reply to comment #3)
> OK, everything looks good to me.  Unfortunately R upstreams aren't quite as
> organized as, say, Perl's CPAN so sometimes the URL in the example spec on the
> wiki gets you somewhere and sometimes it doesn't.
> 
> Anyway, APPROVED

Thank you!

New Package CVS Request
=======================
Package Name: R-DBI
Short Description: Database Interface for R
Owners: nigelj
Branches: EL-4 EL-5 F-8 F-9
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-06-22 11:54:21 EDT
cvs done.
Comment 6 Fedora Update System 2008-06-26 07:57:50 EDT
R-DBI-0.2-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-26 07:57:59 EDT
R-DBI-0.2-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-27 15:35:33 EDT
R-DBI-0.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-27 15:36:06 EDT
R-DBI-0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.